# dmd.root.stringtable

A specialized associative array with string keys stored in a variable length structure.

#### Authors

Walter Bright, https://www.digitalmars.com

#### License

Boost License 1.0

Source: root/stringtable.d

Documentation: https://dlang.org/phobos/dmd_root_stringtable.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/root/stringtable.d

- `StringValue`

  #### Declaration

  `struct `StringValue`(T);`

  `StringValue` is a variable-length structure. It has neither proper c'tors nor a factory method because the only thing which should be creating these is StringTable. The string characters are stored in memory immediately after the `StringValue` struct.

  - `toString`

    #### Declaration

    `const pure nothrow @nogc const(char)[] `toString`();`

    #### Return Value

    The content of this entry as a D slice